#29 kernelmod 0.8 incompatible with kernel 2.6.4

open
nobody
Bug (28)
5
2012-09-17
2004-05-16
newbeewan
No

Hi,
I just try to compile mppe module for my kernel 2.6.4
and it doesn't work any more...
My kernelmod output :


KernelMod v0.8.0
Richard de Vroede richard@oip.tudelft.nl
James Cameron quozl@us.netrek.org


Using running kernel to get kernel version (2.6.4-1-k7)
--> Summary.
OS: Linux
Distribution: Debian testing/unstable
Kernel version: 2.6.4-1-k7
Architecture: i686
Emulation: elf_i386
SMP: No


--> Preparing system.
Clearing out builddir /usr/src/kernelmod-0.8/build
--> Finding source for your running kernel.
Found the source for your running kernel.
Location: /lib/modules/2.6.4-1-k7/build


You're using the 2.6 version of the LINUX kernel
Patching the 2.6.4 kernel sources


patch -d /lib/modules/2.6.4-1-k7/build -N -z .bak -p1
-i /usr/src/kernelmod-0.8/2.6/2.6.0-mppe.diff
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:


|--- linux/drivers/net/ppp_generic.c 2003-09-27
20:51:03.000000000 -0400
|+++ linux/drivers/net/ppp_generic.c 2003-10-08
19:08:21.000000000 -0400


File to patch:
Skip this patch? [y] n
File to patch:
Skip this patch? [y] y
Skipping patch.
3 out of 3 hunks ignored
patching file include/linux/ppp-comp.h
make: *** [patch] Erreur 1


Building the 2.6.4 specific mppe modules

mkdir -p .tmp_versions
cp /lib/modules/2.6.4-1-k7/build/.tmp_versions/.mod
/usr/src/kernelmod-0.8/2.6/.tmp_versions
cp: ne peut évaluer
`/lib/modules/2.6.4-1-k7/build/.tmp_versions/
.mod':
Aucun fichier ou répertoire de ce type
make: [module] Erreur 1 (ignorée)
make -C /lib/modules/2.6.4-1-k7/build
SUBDIRS=/usr/src/kernelmod-0.8/2.6
MODVERDIR=/usr/src/kernelmod-0.8/2.6/.tmp_versions modules
make[1]: entrant dans le répertoire Ť
/usr/src/kernel-headers-2.6.4-1-k7 ť
SPLIT include/linux/autoconf.h -> include/config/*
make[1]: scripts/split-include : commande introuvable
make[1]: [include/config/MARKER] Erreur 127
make[1]: quittant le répertoire Ť
/usr/src/kernel-headers-2.6.4-1-k7 ť
make:
[module] Erreur 2


Installing the 2.6.4 specific mppe modules

mkdir -p /lib/modules/2.6.4-1-k7/kernel/drivers/net/
install -m 644 -o 0 -g 0 ppp_mppe.ko
/lib/modules/2.6.4-1-k7/kernel/drivers/net/
install: ne peut évaluer `ppp_mppe.ko': Aucun fichier
ou répertoire de ce type
make: *** [install] Erreur 1


make: Rien ŕ faire pour Ť unpatch ť.
rm -f core
rm -f ppp_mppe.mod. ppp_mppe.ko ppp_mppe_compress.o
meta.kmod sha1.o arcfour.o \ ppp_mppe.o
rm -f .
.mod.cmd .ppp_mppe.ko.cmd
.ppp_mppe_compress.o.cmd .meta.kmod \ .sha1.o.cmd .arcfour.o.cmd .ppp_mppe.o.cmd
.ppp_mppe.mod.o.cmd
rm -rf /usr/src/kernelmod-0.8/2.6/.tmp_versions
!! Everything seems OK.
Thanks for your help...

Discussion

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks